UnmodifiableSetException (Java Platform SE 8 )
Keywords: javax.print.attribute.UnmodifiableSetException class
Date: 2015-11-19

javax.print.attribute

## Class UnmodifiableSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.print.attribute.UnmodifiableSetException

- All Implemented Interfaces:
    Serializable

      public class UnmodifiableSetException
      extends RuntimeException

  Thrown to indicate that the requested operation cannot be performed because the set is unmodifiable.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmodifiableSetException()` Constructs an UnsupportedOperationException with no detail message.
    `UnmodifiableSetException(String message)` Constructs an UnmodifiableSetException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmodifiableSetException

          public UnmodifiableSetException()

      Constructs an UnsupportedOperationException with no detail message.

    - #### UnmodifiableSetException

          public UnmodifiableSetException(String message)

      Constructs an UnmodifiableSetException with the specified detail message.
      Parameters:
        `message` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.